For the complete documentation index, see llms.txt. This page is also available as Markdown.

Docs

Get Customer Document

get
/v1/customers/{customerId}/docs/{documentId}

Retrieve documents associated with a customer such as Passport or a National ID document.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
customerIdstring · uuidRequired

The customer ID of the customer

Example: 2efbaa6d-5c4a-4b01-8651-92006d53ce5d
documentIdstring · uuidRequired

The ID for the document

Example: e99a059b-8d9e-484c-8501-e421e7072ad9
Responses
200

OK

application/octet-stream
string · binaryOptional

The response contains the actual document file

get/v1/customers/{customerId}/docs/{documentId}
GET /api/v1/customers/{customerId}/docs/{documentId} HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{The response contains the actual document file}

Submit documentation to onboard a Customer

post
/v1/customers/{customerId}/docs

Upload a new document associated with a specific customer using their Customer ID.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
customerIdstringRequired
Body
documentTypestring · enumRequiredPossible values:
documentFormatstring · enumRequiredPossible values:
filestring · binaryRequired

The document file to be uploaded, maximum size of 10MB

countryOfIssuestringOptional

ISO 3166-1 alpha-2 country code for the country that issued the identity document (e.g. CA). Optional for client onboarding.

Example: CA
Responses
200

OK

application/json
customerIdstring · uuidOptional
customerStatusstring · enumOptionalPossible values:
onboardingStatusstring · enumOptionalPossible values:
post/v1/customers/{customerId}/docs
POST /api/v1/customers/{customerId}/docs HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 88

{
  "documentType": "PASSPORT",
  "documentFormat": "PDF",
  "file": "binary",
  "countryOfIssue": "CA"
}
{
  "customerId": "123e4567-e89b-12d3-a456-426614174000",
  "customerStatus": "ONBOARDING",
  "onboardingStatus": "PENDING_DOCUMENTATION_RECEIPT",
  "documents": [
    {
      "documentType": "PASSPORT",
      "documentStatus": "PENDING_RECEIPT"
    },
    {
      "documentType": "NATIONAL_ID_FRONT",
      "documentStatus": "PENDING_RECEIPT"
    },
    {
      "documentType": "NATIONAL_ID_BACK",
      "documentStatus": "PENDING_RECEIPT"
    }
  ]
}

Resubmit documentation to onboard a Customer

put
/v1/customers/{customerId}/docs

Resubmit documentation to onboard a Customer

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
customerIdstringRequired
Body
documentTypestring · enumRequiredPossible values:
documentFormatstring · enumRequiredPossible values:
filestring · binaryRequired

The document file to be uploaded, maximum size of 2MB

countryOfIssuestringOptional

ISO 3166-1 alpha-2 country code for the country that issued the identity document (e.g. CA). Optional for client onboarding.

Example: CA
Responses
200

OK

application/json
customerIdstring · uuidOptional
customerStatusstring · enumOptionalPossible values:
onboardingStatusstring · enumOptionalPossible values:
put/v1/customers/{customerId}/docs
PUT /api/v1/customers/{customerId}/docs HTTP/1.1
Host: cams.aquanow.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 88

{
  "documentType": "PASSPORT",
  "documentFormat": "PDF",
  "file": "binary",
  "countryOfIssue": "CA"
}
{
  "customerId": "123e4567-e89b-12d3-a456-426614174000",
  "customerStatus": "ONBOARDING",
  "onboardingStatus": "PENDING_DOCUMENTATION_RECEIPT",
  "documents": [
    {
      "documentType": "PASSPORT",
      "documentStatus": "PENDING_RECEIPT",
      "countryOfIssue": "CA"
    },
    {
      "documentType": "NATIONAL_ID_FRONT",
      "documentStatus": "PENDING_RECEIPT"
    },
    {
      "documentType": "NATIONAL_ID_BACK",
      "documentStatus": "PENDING_RECEIPT"
    }
  ]
}

Last updated